# class Chef::Resource::AptPackage

### Public Class Methods

new(name, run_context=nil) click to toggle source
Calls superclass method Chef::Resource::Package.new

    # File lib/chef/resource/apt_package.rb, line 26
    def initialize(name, run_context=nil)
      super
      @resource_name = :apt_package
      @provider = Chef::Provider::Package::Apt
      @default_release = nil
    end

### Public Instance Methods

default_release(arg=nil) click to toggle source

    # File lib/chef/resource/apt_package.rb, line 33
    def default_release(arg=nil)
      set_or_return(
        :default_release,
        arg,
        :kind_of => [ String ]
      )
    end